Page MenuHomePhabricator

Remove "geshi" name from SyntaxHighlight
Open, LowPublic

Description

We have several areas in the SyntaxHighlight extension where we still refer to GeSHi, even though we no longer use GeSHi.

See if we can remove some of that.

Event Timeline

TheDJ created this task.May 10 2017, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2017, 2:38 PM
TheDJ triaged this task as Low priority.May 10 2017, 2:39 PM

Change 353076 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove GeSHi from class and filenames

https://gerrit.wikimedia.org/r/353076

Krinkle renamed this task from Remove geshi from the names of syntax highlight where possible to Remove "geshi" name from SyntaxHighlight internals where possible.May 12 2017, 9:37 PM
Krinkle awarded a token.
Krinkle added a subscriber: Krinkle.
jayvdb added a subscriber: jayvdb.May 15 2017, 10:36 AM

Geshi is under active development again
https://github.com/GeSHi/geshi-1.0/releases/
With breaking changes being released.
It is not nice for this extension to be misusing a product name like this (even though it isnt a registered trademark in US or EU afaics) .
Do unto others, and all ... c.f WMF trademark policy 'Misrepresentation'.

jayvdb renamed this task from Remove "geshi" name from SyntaxHighlight internals where possible to Remove "geshi" name from SyntaxHighlight.May 15 2017, 10:36 AM

Change 353076 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove GeSHi from class and filenames

https://gerrit.wikimedia.org/r/353076

TheDJ updated the task description. (Show Details)May 20 2017, 3:41 PM
TheDJ removed a project: Patch-For-Review.

Change 354726 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove geshi from composer and npm package manifests

https://gerrit.wikimedia.org/r/354726

TheDJ updated the task description. (Show Details)May 20 2017, 4:04 PM

Change 354726 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove 'GeSHi' name from composer and npm manifests

https://gerrit.wikimedia.org/r/354726

hashar changed the status of subtask T103614: Rename git repo to "SyntaxHighlight" from Open to Stalled.Sep 6 2020, 10:11 PM